de.vc.jfo.rtf

## Class ImportListenerAdapter

- java.lang.Object
- - de.vc.jfo.rtf.ImportListenerAdapter

- All Implemented Interfaces:
    ImportListener

      public abstract class ImportListenerAdapter
      extends java.lang.Object
      implements ImportListener

  An abstract adapter class that implements the `ImportListener` interface. The methods in this class are empty. This class exists as convenience for creating import listener objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportListenerAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBookmarkEnd(java.lang.String bookmark, DocumentContext ctx)` This method is invoked when a bookmark ends.
    `void` | `onBookmarkStart(java.lang.String bookmark, DocumentContext ctx)` This method is invoked when a bookmark starts.
    `java.lang.String` | `onInsertText(java.lang.String text)` This method is invoked when text is inserted.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportListenerAdapter

          public ImportListenerAdapter()

  - ### Method Detail

    - #### onBookmarkEnd

          public void onBookmarkEnd(java.lang.String bookmark,
                           DocumentContext ctx)

      This method is invoked when a bookmark ends.
      Specified by:
        `onBookmarkEnd` in interface `ImportListener`
      Parameters:
        `bookmark` - Name of bookmark.
        `ctx` - DocumentContext

    - #### onBookmarkStart

          public void onBookmarkStart(java.lang.String bookmark,
                             DocumentContext ctx)

      This method is invoked when a bookmark starts.
      Specified by:
        `onBookmarkStart` in interface `ImportListener`
      Parameters:
        `bookmark` - Name of bookmark
        `ctx` - DocumentContext

    - #### onInsertText

          public java.lang.String onInsertText(java.lang.String text)

      This method is invoked when text is inserted.
      Specified by:
        `onInsertText` in interface `ImportListener`
      Parameters:
        `text` - Text that is inserted.
      Returns:
        Returns a modified text or `text`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.